# reddit.subreddit

class `praw.models.``SubredditHelper`(reddit: Reddit, _data: Optional[Dict[str, Any]])

  Provide a set of functions to interact with Subreddits.

  `__call__`(display_name: str) → praw.models.reddit.subreddit.Subreddit

    Return a lazy instance of `Subreddit`.

    Parameters

      display_name – The name of the subreddit.

  `__init__`(reddit: Reddit, _data: Optional[Dict[str, Any]])

    Initialize a PRAWModel instance.

    Parameters

      reddit – An instance of `Reddit`.

  `create`(name: str, title: Optional[str] = None, link_type: str = 'any', subreddit_type: str = 'public', wikimode: str = 'disabled', **other_settings: Optional[str]) → praw.models.reddit.subreddit.Subreddit

    Create a new subreddit.

    Parameters

      - name – The name for the new subreddit.

      - title – The title of the subreddit. When `None` or `""` use the value of `name`.

      - link_type – The types of submissions users can make. One of `any`, `link`, `self` (default: any).

      - subreddit_type – One of `archived`, `employees_only`, `gold_only`, `gold_restricted`, `private`, `public`, `restricted` (default: public).

      - wikimode – One of `anyone`, `disabled`, `modonly`.

    Any keyword parameters not provided, or set explicitly to None, will take on a default value assigned by the Reddit server.

    See also

    `update()` for documentation of other available settings.

  classmethod `parse`(data: Dict[str, Any], reddit: Reddit) → Any

    Return an instance of `cls` from `data`.

    Parameters

      - data – The structured data.

      - reddit – An instance of `Reddit`.